"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShardedDjsAdapter = exports.DjsAdapter = void 0;
class DjsAdapter {
    constructor(client) {
        this.client = client;
    }
    async getServers() {
        return this.client.guilds.cache.size;
    }
    async getShards() {
        return this.client.ws.shards.size;
    }
    async getUsers() {
        return this.client.users.cache.size;
    }
}
exports.DjsAdapter = DjsAdapter;
class ShardedDjsAdapter {
    constructor(manager) {
        this.manager = manager;
    }
    async getServers() {
        const results = await this.manager.broadcastEval(client => client.guilds.cache.size);
        return results.reduce((prev, curr) => prev + curr, 0);
    }
    async getShards() {
        return this.manager.shards.size;
    }
    async getUsers() {
        const results = await this.manager.broadcastEval(client => client.users.cache.size);
        return results.reduce((prev, curr) => prev + curr, 0);
    }
}
exports.ShardedDjsAdapter = ShardedDjsAdapter;
