"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsersManager = void 0;
const undici_1 = require("undici");
const Endpoints_1 = require("../core/Endpoints");
class UsersManager {
    constructor(options) {
        this.options = options;
    }
    /**
     * Get user profile information
     * @param id - user id
     * */
    async profile(id) {
        const response = await (0, undici_1.request)(`${Endpoints_1.Endpoints.MAIN_API}/v${this.options.apiVersion}/profile/${id}`, {
            method: 'GET',
            headers: {
                Authorization: this.options.token
            }
        });
        return response.body.json();
    }
    /**
     * Get user comments
     * @param id - user id
     * */
    async comments(id) {
        const response = await (0, undici_1.request)(`${Endpoints_1.Endpoints.MAIN_API}/v${this.options.apiVersion}/profile/${id}/comments`, {
            method: 'GET',
            headers: {
                Authorization: this.options.token
            }
        });
        return response.body.json();
    }
    /**
     * Get user bots
     * @param id - user id
     * */
    async bots(id) {
        const response = await (0, undici_1.request)(`${Endpoints_1.Endpoints.MAIN_API}/v${this.options.apiVersion}/bots/${id}`, {
            method: 'GET',
            headers: {
                Authorization: this.options.token
            }
        });
        return response.body.json();
    }
}
exports.UsersManager = UsersManager;
