import { Adapter } from "../adapters/Adapter";
import { ClientOptions } from "./ClientOptions";
import { UsersManager } from "../managers/UsersManager";
import { BotsManager } from "../managers/BotsManager";
import { ServersManager } from "../managers/ServersManager";
export declare class Client {
    adapter: Adapter;
    options: ClientOptions;
    users: UsersManager;
    bots: BotsManager;
    servers: ServersManager;
    private _autopost?;
    constructor(options: ClientOptions, adapter?: Adapter);
    /**
     * Start statistics autopost
     * @param interval - posting interval, in ms. default - 2 * 60 * 60 * 1000 (2 hrs)
     * */
    botStatsAutopost(interval?: number): Promise<boolean>;
    /** Stop autoposting */
    shutdownAutopost(): boolean;
}
