import { ClientOptions } from "../core/ClientOptions";
import { Adapter } from "../adapters/Adapter";
import { BotSearchResponse } from "../rest/BotSearchResponse";
import { BotInformationResponse } from "../rest/BotInformationResponse";
import { BotCommentResponse } from "../rest/BotCommentResponse";
import { BotStatisticsPayload } from "../rest/BotStatisticsPayload";
export declare class BotsManager {
    adapter: Adapter;
    options: ClientOptions;
    constructor(adapter: Adapter, options: ClientOptions);
    /**
     * Perform bots search
     * @param query - search query
     * */
    search(query: string): Promise<BotSearchResponse[]>;
    /**
     * Get bot information using id/short code
     * @param id - bot id or short code
     * */
    info(id: string): Promise<BotInformationResponse>;
    /**
     * Get bot comments
     * @param id - bot id
     * */
    comments(id: string): Promise<BotCommentResponse[]>;
    /**
     * Post bot statistics
     * @param statsOrAdapter - adapter or raw stats
     * */
    postStats(statsOrAdapter: Adapter | BotStatisticsPayload): Promise<boolean>;
}
