import { ClientOptions } from "../core/ClientOptions";
import { ServersSearchResponse } from "../rest/ServersSearchResponse";
import { ServerInformationResponse } from "../rest/ServerInformationResponse";
import { ServerCommentResponse } from "../rest/ServerCommentResponse";
import { ServerUpdatePayload } from "../rest/ServerUpdatePayload";
import { ServerUpdateResponse } from "../rest/ServerUpdateResponse";
export declare class ServersManager {
    options: ClientOptions;
    constructor(options: ClientOptions);
    /**
     * Perform servers search
     * @param query - search query
     * */
    search(query: string): Promise<ServersSearchResponse[]>;
    /**
     * Get server information using id/short code
     * @param id - server id or short code
     * */
    info(id: string): Promise<ServerInformationResponse>;
    /**
     * Get server comments
     * @param id - server id
     * */
    comments(id: string): Promise<ServerCommentResponse[]>;
    /**
     * Post server info
     * @param info - server info
     * */
    postInfo(info: ServerUpdatePayload): Promise<ServerUpdateResponse>;
}
