import { ClientOptions } from "../core/ClientOptions";
import { UserProfileResponse } from "../rest/UserProfileResponse";
import { UserCommentsResponse } from "../rest/UserCommentsResponse";
import { UserBotResponse } from "../rest/UserBotResponse";
export declare class UsersManager {
    options: ClientOptions;
    constructor(options: ClientOptions);
    /**
     * Get user profile information
     * @param id - user id
     * */
    profile(id: string): Promise<UserProfileResponse>;
    /**
     * Get user comments
     * @param id - user id
     * */
    comments(id: string): Promise<UserCommentsResponse>;
    /**
     * Get user bots
     * @param id - user id
     * */
    bots(id: string): Promise<UserBotResponse[]>;
}
